Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient
Class BlogEntry.Category

    java.lang.Object
      com.sun.syndication.propono.blogclient.BlogEntry.Category

Enclosing interface:
  BlogEntry

    public static class BlogEntry.Category

extends Object

Represents a weblog category

Constructor Summary
`BlogEntry.Category()` Create new Catetory
`BlogEntry.Category(String id)` Create new category with name.

Method Summary
`boolean` | `equals(Object obj)` Determines if categories are equal based on id.
`String` | `getId()` Get category id
`String` | `getName()` Get category display name
`String` | `getUrl()` Get URL of category domain
`void` | `setId(String id)` Set category id
`void` | `setName(String name)` Set category display name
`void` | `setUrl(String url)` Set URL of category domain
`String` | `toString()` Return category's name or id for display

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlogEntry.Category

    public BlogEntry.Category()

  Create new Catetory

### BlogEntry.Category

    public BlogEntry.Category(String id)

  Create new category with name.

Method Detail

### equals

    public boolean equals(Object obj)

  Determines if categories are equal based on id.

  Overrides:
    `equals` in class `Object`

### getId

    public String getId()

  Get category id

### setId

    public void setId(String id)

  Set category id

### getName

    public String getName()

  Get category display name

### setName

    public void setName(String name)

  Set category display name

### getUrl

    public String getUrl()

  Get URL of category domain

### setUrl

    public void setUrl(String url)

  Set URL of category domain

### toString

    public String toString()

  Return category's name or id for display

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD